#!/bin/bash
# epol build script for MSYS under Windows
export bin_dir="`pwd`/bin"
export build_dir="`uname -s`_`uname -m`_build"
if [ -d "${build_dir}" ]; then
  rm -rf "${build_dir}"
fi
mkdir "${build_dir}"
cd "${build_dir}"
cmake ../src -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX="${bin_dir}"
make -j; make install
cd ..
