#include "polcontext.h"

PolyContext PolyContext::defaultContext(Alphabet("x,y"),TermOrder::lex(),EtermOrder::te(),Coeff(double(1)),AlmostEqual(Coeff(double(.5)).pow(10)),3);
void PolyContext::print(std::ostream &os) const {
	os<<"Alphabet:            "<<abc()<<'\n'
	  <<"Extended term order: "<<eto()<<'('<<to()<<")\n"
		<<"Coefficients domain: "<<coeff().typeName()<<'\n'
		<<"Zero test:           "<<almostEqual()<<'\n'
		<<"E-bound:             "<<eb()<<'\n';
}
