#if !defined(__REDUCTION_H__)
#define __REDUCTION_H__

#include "symbred.h"
#include "ematrix.h"
#include "report.h"

class Reduction: public Report, public Stat {

	SymbRed m_symbred;
	Elimination m_elim;
	Basis m_simp;

public:
	Reduction(const Report &r, const Stat &s):Report(r),Stat(s),m_symbred(r,s),m_elim(r,s) {}
	void mutual(Basis &b);
	void mutualG(Basis &b);
	void operator()(Basis &b,const Basis &gb);
	void spairs(Basis &b,const Basis &gb);
	void clear();

};

#endif //__REDUCTION_H__

